Alibaba: Wan 3.0 (Image to Video) API Reference

About

Wan 3.0 Image to Video animates a first-frame image into a cinematic video, with optional last-frame guidance, flexible 2-30 second duration, aspect ratio control, optional audio, and deep-thinking controls for high-quality motion and scene continuity.

1. Calling the API

Setup your API Key

To begin using Infron, you first need to create an account and generate your API Key.

Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.

export INFRON_KEY="YOUR_API_KEY"

Submit a request

For long-running requests, you can poll for results.

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
  "model": "wan/wan3.0/image-to-video",
  "prompt": "The dragon slowly opens its eyes, leaves move from its breathing, glowing particles float around the forest, the ranger slowly steps forward and reaches out a hand. The camera slowly circles around both characters revealing the enormous scale difference.",
  "start_image_url": "https://storage.googleapis.com/infron_gcs/quick-upload/2026/08/13/20260813-163214-6a0225a1-1785736554271418242_8OX6gU4d-89126d279c55.webp",
  "end_image_url": "",
  "duration": "15",
  "resolution": "1080P",
  "aspect_ratio": "16:9",
  "generate_audio": true,
  "watermark": false,
  "seed": 2147483647
}
EOF

Response with queue task id

The response will look like this:

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260813083254531300415WwZnNzKk",
    "object": "video",
    "model": "wan/wan3.0/image-to-video",
    "status": "created",
    "urls": {
      "query": "https://media.onerouter.pro/v1/videos/tasks/20260813083254531300415WwZnNzKk"
    },
    "created_at": "2026-08-13 08:32:54.57"
  }
}

Fetch request status

You can fetch the status of a request to check if it is completed or still in progress.

curl https://media.onerouter.pro/v1/videos/tasks/{task_id} \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" 

# For example
curl https://media.onerouter.pro/v1/videos/tasks/20260813083254531300415WwZnNzKk \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response with queue task status query

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260813083254531300415WwZnNzKk",
    "object": "video",
    "model": "wan/wan3.0/image-to-video",
    "status": "in_progress",
    "fail_reason": "",
    "submit_time": 1786609975,
    "start_time": 1786609974,
    "finish_time": 0,
    "outputs": [],
    "created_at": "2026-08-13 08:32:55"
  }
}

Possible statuses:

  • created
  • in_progress
  • processing
  • completed
  • failed

created -> in_progress → processing → completed | failed

Poll every 1-2 seconds until status is "completed" or "failed"

Get the result (when status is "completed")

Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260813083254531300415WwZnNzKk",
    "object": "video",
    "model": "wan/wan3.0/image-to-video",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1786609975,
    "start_time": 1786609974,
    "finish_time": 1786610630,
    "outputs": [
      "https://infron.ai/cdn/media/video/video_v2/output/output_983518dd-e371-4169-940b-4baeccd46ee6.mp4"
    ],
    "usage": {
      "completion_tokens": 0,
      "duration": 15,
      "generate_audio": true,
      "output_count": 1,
      "prompt_tokens": 1,
      "request_num": 1,
      "resolution": "1080P",
      "tokens": 1,
      "total_tokens": 1,
      "video_duration": 15
    },
    "cost": {
      "total_cost": 3,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 3,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-08-13 08:32:55"
  }
}

2. Schema

Input

ParameterTypeRequiredDefaultRangeDescription
modelstringYes--Explore all modelsModel name.
promptstringYes----Text prompt for generation; Positive text prompt.
startimageurlstringYes----The URL of the first image to use as a reference for the generation.
endimageurlstringNo----The URL of the last image to use as a reference for the generation.
durationintegerNo5[2,30]Duration of the video in seconds, between 2 and 30.
resolutionstringNo1080P480P, 720P, 1080PResolution of the generated video.
aspect_ratiostringNoadaptive16:9, 4:3, 1:1, 3:4, 9:16, adaptiveAspect ratio of the generated video.
generate_audiobooleanNotruetrue, falseWhether to generate audio.
watermarkbooleanNofalsetrue, falseWhether to add watermark to the image.
seedintegerNo-->=1The random seed to use for the generation.

Example request

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
  "model": "wan/wan3.0/image-to-video",
  "prompt": "The dragon slowly opens its eyes, leaves move from its breathing, glowing particles float around the forest, the ranger slowly steps forward and reaches out a hand. The camera slowly circles around both characters revealing the enormous scale difference.",
  "start_image_url": "https://storage.googleapis.com/infron_gcs/quick-upload/2026/08/13/20260813-163214-6a0225a1-1785736554271418242_8OX6gU4d-89126d279c55.webp",
  "end_image_url": "",
  "duration": "15",
  "resolution": "1080P",
  "aspect_ratio": "16:9",
  "generate_audio": true,
  "watermark": false,
  "seed": 2147483647
}
EOF

Output

ParameterTypeRangeDescription
codeinteger--Status code of the request.
messagestring--Status message of the request.
dataobject--Data of the video task.
data.task_idstring--ID of the video task.
data.objectstring--Object type of the video task.
data.modelstring--Model name of the video task.
data.statusstringcreated, in_progress, processing, completed, failedStatus of the video task.
data.fail_reasonstring--Fail reason of the video task.
data.submit_timeinteger--Timestamp of the video task submission.
data.start_timeinteger--Timestamp of the video task start.
data.finish_timeinteger--Timestamp of the video task finish.
data.outputsarray--Outputs of the video task.
data.created_atstring--Timestamp of the video task creation.

Example output

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260813083254531300415WwZnNzKk",
    "object": "video",
    "model": "wan/wan3.0/image-to-video",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1786609975,
    "start_time": 1786609974,
    "finish_time": 1786610630,
    "outputs": [
      "https://infron.ai/cdn/media/video/video_v2/output/output_983518dd-e371-4169-940b-4baeccd46ee6.mp4"
    ],
    "usage": {
      "completion_tokens": 0,
      "duration": 15,
      "generate_audio": true,
      "output_count": 1,
      "prompt_tokens": 1,
      "request_num": 1,
      "resolution": "1080P",
      "tokens": 1,
      "total_tokens": 1,
      "video_duration": 15
    },
    "cost": {
      "total_cost": 3,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 3,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-08-13 08:32:55"
  }
}

3. Detailed Pricing

GenerationCalculationCost
5s at 480P5 × $0.05$0.25
10s at 480P10 × $0.05$0.50
30s at 480P30 × $0.05$1.50
5s at 720P5 × $0.10$0.50
10s at 720P10 × $0.10$1.00
30s at 720P30 × $0.10$3.00
5s at 1080P5 × $0.20$1.00
10s at 1080P10 × $0.20$2.00
30s at 1080P30 × $0.20$6.00